Bug 187399 - regression in gcc-4.1.0-4
regression in gcc-4.1.0-4
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-30 13:32 EST by Ngo Than
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.1.0-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-06 08:42:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 27000 None None None Never

  None (edit)
Description Ngo Than 2006-03-30 13:32:52 EST
Description of problem:

rebuild kdepim-3.5.2 breaks with following errors:
cryptplug.cpp: In member function 'bool CryptPlug::checkMessageSignature(char**,
const char*, bool, int, CryptPlug::SignatureMetaData*, char**, const char*)':
cryptplug.cpp:971: warning: 'gpgme_sig_stat_t' is deprecated (declared at
../../libkdenetwork/libgpgme-copy/gpgme/gpgme.h:237)
cryptplug.cpp: In member function 'bool CryptPlug::decryptAndCheckMessage(const
char*, bool, int, const char**, const char*, bool*,
CryptPlug::SignatureMetaData*, int*, char**, char**, const char*)':
cryptplug.cpp:1048: warning: 'gpgme_sig_stat_t' is deprecated (declared at
../../libkdenetwork/libgpgme-copy/gpgme/gpgme.h:237)
cryptplugwrapper.cpp: In constructor 'CryptPlugWrapper::CryptPlugWrapper(const
QString&, const QString&, const QString&, bool)':
cryptplugwrapper.cpp:432: warning: unused variable 'ok'
/bin/sh ../../libtool --silent --tag=CXX --mode=link x86_64-redhat-linux-g++ 
-DHAVE_BOOST -DNDEBUG -DNO_DEBUG -O2 -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
-fno-exceptions -fno-check-new -fno-common -DQT_CLEAN_NAMESPACE
-DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION    -o
libkleopatra.la -rpath /usr/lib64 -L/usr/lib64/qt-3.3/lib -L/usr/lib64
-Wl,--as-needed -Wl,--enable-new-dtags  -version-info 1:0:0 -no-undefined
-Wl,--no-undefined -Wl,--allow-shlib-undefined cryptplug.lo cryptplugwrapper.lo
cryptplugwrapperlist.lo cryptplugfactory.lo kleo/libkleopatra_core.la
backends/qgpgme/libkleopatra_backend_qgpgme.la
backends/chiasmus/libkleopatra_backend_chiasmus.la ui/libkleopatra_ui.la
../../libkdenetwork/qgpgme/libqgpgme.la -lkio -lkdeui /usr/bin/ld:
backends/chiasmus/.libs/libkleopatra_backend_chiasmus.a(chiasmusbackend.o):
relocation R_X86_64_PC32 against `QValueListPrivate<unsigned
int>::QValueListPrivate()' can not be used when making a shared object;
recompile with -fPIC
/usr/bin/ld: final link failed: Bad value
collect2: ld returned 1 exit status
make[4]: *** [libkleopatra.la] Error 1
make[4]: Leaving directory
`/usr/src/build/728210-x86_64/BUILD/kdepim-3.5.2/certmanager/lib'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory
`/usr/src/build/728210-x86_64/BUILD/kdepim-3.5.2/certmanager/lib'
make[2]: *** [all-recursive] Error 1 

i'm pretty sure that chiasmusbacken.cc has been build with -fPIC.

Version-Release number of selected component (if applicable):
gcc-4.1.0-4

How reproducible:


Steps to Reproduce:
1. try to rebuild kdepim-3.5.2 in dist-fc6 tree
2.
3.
  
Actual results:
build process breaks

Expected results:
it should build

Additional info:

it build with gcc-4.1.0-3 in FC5 without any problem.
Comment 1 Jakub Jelinek 2006-04-06 08:42:28 EDT
The anon-namespace implies hidden has been temporarily reverted in gcc-4.1.0-5.

Note You need to log in before you can comment on or make changes to this bug.